Subject: Re: [PATCH v2 -- fixed changelog] [POWERPC] Add support for Rev. B of PowerPC 440SPe

From: Roland Dreier <[email-masked]>
Date: Wed, 15 Nov 2006 14:29:51 -0800

> Can we get rid of this switch as well?
 > 
 > There are other places like this in the patch but I think you got my 
 > idea :).

Makes sense -- I'll rework the patch to cut down on the code
duplication (which is already there in my code that went upstream).  I
think there have to be switches (or equivalently, look-up tables)
since there's no regularity in where the DCRs/SDRs for the different
PCIe ports are.

 - R.